<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.3"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>My Project: gg::TextureManager Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectalign">
   <div id="projectname">My Project
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.3 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "search",'Search','.html');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="namespacegg.html">gg</a></li><li class="navelem"><a class="el" href="classgg_1_1TextureManager.html">TextureManager</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pub-static-methods">Static Public Member Functions</a> &#124;
<a href="classgg_1_1TextureManager-members.html">List of all members</a>  </div>
  <div class="headertitle"><div class="title">gg::TextureManager Class Reference</div></div>
</div><!--header-->
<div class="contents">

<p><code>#include &lt;<a class="el" href="TextureManager_8hpp_source.html">TextureManager.hpp</a>&gt;</code></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pub-methods" name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:a43a2f5111cf64e0f4ede7fb88375773f"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgg_1_1TextureManager.html#a43a2f5111cf64e0f4ede7fb88375773f">TextureManager</a> ()=delete</td></tr>
<tr class="separator:a43a2f5111cf64e0f4ede7fb88375773f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5e56e7c43fdf52653698d99659016eb3"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgg_1_1TextureManager.html#a5e56e7c43fdf52653698d99659016eb3">~TextureManager</a> ()=delete</td></tr>
<tr class="separator:a5e56e7c43fdf52653698d99659016eb3"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pub-static-methods" name="pub-static-methods"></a>
Static Public Member Functions</h2></td></tr>
<tr class="memitem:acc7ee4c5254be2716920fde6d54cd823"><td class="memItemLeft" align="right" valign="top">static void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgg_1_1TextureManager.html#acc7ee4c5254be2716920fde6d54cd823">Init</a> ()</td></tr>
<tr class="separator:acc7ee4c5254be2716920fde6d54cd823"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad6fc0243a4813620ce29deb0762e39af"><td class="memItemLeft" align="right" valign="top">static void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgg_1_1TextureManager.html#ad6fc0243a4813620ce29deb0762e39af">Destroy</a> ()</td></tr>
<tr class="separator:ad6fc0243a4813620ce29deb0762e39af"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4102ebacee3e49bf31dc04389be7b2cd"><td class="memItemLeft" align="right" valign="top">static auto&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgg_1_1TextureManager.html#a4102ebacee3e49bf31dc04389be7b2cd">GetInitialized</a> () -&gt; bool</td></tr>
<tr class="separator:a4102ebacee3e49bf31dc04389be7b2cd"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a69e3c1a01bc118b339b020e7f25c4f3a"><td class="memItemLeft" align="right" valign="top">static auto&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgg_1_1TextureManager.html#a69e3c1a01bc118b339b020e7f25c4f3a">GetNumberOfTexures</a> () -&gt; unsigned</td></tr>
<tr class="separator:a69e3c1a01bc118b339b020e7f25c4f3a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af2e0bb49b491ae495efd5ebadcdf225a"><td class="memItemLeft" align="right" valign="top">static void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgg_1_1TextureManager.html#af2e0bb49b491ae495efd5ebadcdf225a">AddTexture</a> (const std::string &amp;name, const std::string &amp;filename)</td></tr>
<tr class="separator:af2e0bb49b491ae495efd5ebadcdf225a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a69095440a82904c5358dbfb36bd7524e"><td class="memItemLeft" align="right" valign="top">static auto&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgg_1_1TextureManager.html#a69095440a82904c5358dbfb36bd7524e">GetTexture</a> (const std::string &amp;texture) -&gt; sf::Texture *</td></tr>
<tr class="separator:a69095440a82904c5358dbfb36bd7524e"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a id="a43a2f5111cf64e0f4ede7fb88375773f" name="a43a2f5111cf64e0f4ede7fb88375773f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a43a2f5111cf64e0f4ede7fb88375773f">&#9670;&nbsp;</a></span>TextureManager()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">gg::TextureManager::TextureManager </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">delete</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a5e56e7c43fdf52653698d99659016eb3" name="a5e56e7c43fdf52653698d99659016eb3"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a5e56e7c43fdf52653698d99659016eb3">&#9670;&nbsp;</a></span>~TextureManager()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">gg::TextureManager::~TextureManager </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">delete</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<h2 class="groupheader">Member Function Documentation</h2>
<a id="af2e0bb49b491ae495efd5ebadcdf225a" name="af2e0bb49b491ae495efd5ebadcdf225a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#af2e0bb49b491ae495efd5ebadcdf225a">&#9670;&nbsp;</a></span>AddTexture()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">static void gg::TextureManager::AddTexture </td>
          <td>(</td>
          <td class="paramtype">const std::string &amp;&#160;</td>
          <td class="paramname"><em>name</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const std::string &amp;&#160;</td>
          <td class="paramname"><em>filename</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="ad6fc0243a4813620ce29deb0762e39af" name="ad6fc0243a4813620ce29deb0762e39af"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad6fc0243a4813620ce29deb0762e39af">&#9670;&nbsp;</a></span>Destroy()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">static void gg::TextureManager::Destroy </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a4102ebacee3e49bf31dc04389be7b2cd" name="a4102ebacee3e49bf31dc04389be7b2cd"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a4102ebacee3e49bf31dc04389be7b2cd">&#9670;&nbsp;</a></span>GetInitialized()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">static auto gg::TextureManager::GetInitialized </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> -&gt;  bool</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a69e3c1a01bc118b339b020e7f25c4f3a" name="a69e3c1a01bc118b339b020e7f25c4f3a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a69e3c1a01bc118b339b020e7f25c4f3a">&#9670;&nbsp;</a></span>GetNumberOfTexures()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">static auto gg::TextureManager::GetNumberOfTexures </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> -&gt;  unsigned</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a69095440a82904c5358dbfb36bd7524e" name="a69095440a82904c5358dbfb36bd7524e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a69095440a82904c5358dbfb36bd7524e">&#9670;&nbsp;</a></span>GetTexture()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">static auto gg::TextureManager::GetTexture </td>
          <td>(</td>
          <td class="paramtype">const std::string &amp;&#160;</td>
          <td class="paramname"><em>texture</em></td><td>)</td>
          <td> -&gt;  sf::Texture *</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="acc7ee4c5254be2716920fde6d54cd823" name="acc7ee4c5254be2716920fde6d54cd823"></a>
<h2 class="memtitle"><span class="permalink"><a href="#acc7ee4c5254be2716920fde6d54cd823">&#9670;&nbsp;</a></span>Init()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">static void gg::TextureManager::Init </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li>include/resources/<a class="el" href="TextureManager_8hpp_source.html">TextureManager.hpp</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by&#160;<a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.3
</small></address>
</body>
</html>
